function replace_keywords(){
    console.log("Replace keywords");    
}

function replace_logo(){
    console.log("Replace logo");    
}
function replaceQrCode(){
    var element = document.querySelector('.store-qrcode');if (element) {element.innerHTML = '';}
}
function replaceKeywords(keyword, replacement) {
    // 获取整个文档的body元素
    var body = document.body;
    // 创建一个空白的Range对象
    var range = document.createRange();
    // 选择body作为范围
    range.selectNodeContents(body);
    // 将range内的内容转换为DocumentFragment
    var fragment = range.extractContents();
    // 遍历fragment的所有子节点并替换文本
    traverseNodes(fragment, keyword, replacement);
    // 将修改后的fragment重新插入到body中
    body.appendChild(fragment);
}

function traverseNodes(node, keyword, replacement) {
    if (node.nodeType === Node.TEXT_NODE) {
        // 如果是文本节点，就进行替换
        node.nodeValue = node.nodeValue.replace(new RegExp(keyword, 'g'), replacement);
    } else {
        // 否则递归处理每个子节点
        for (var i = 0; i < node.childNodes.length; i++) {
            traverseNodes(node.childNodes[i], keyword, replacement);
        }
    }
}
function replaceLogo(){
    // 选择所有具有 'logo-icon' 类的元素
    const logoIcons = document.querySelectorAll('.logo-icon');

    // 遍历每个找到的元素，并更新其 background 样式
    logoIcons.forEach(element => {
        // 替换背景图片的 URL 和位置等信息
        element.style.background = "url('https://cloud-rx-prod-1324994225.cos.ap-shanghai.myqcloud.com/static/images/logo.png')";
        element.style.backgroundSize = "cover";
        element.style.backgroundPosition = "center";
        element.style.width = "50px";
        element.style.height = "50px";
    });
}

window.onload = function() {
    replaceQrCode();
    replaceLogo();
    replaceKeywords('icon-copy', '');
    replaceKeywords('新橙科技', '同知堂科技');
    replaceKeywords('粤ICP备15024370号-7', '苏ICP备2023017636号-1');
};

// replace_keywords();
// replace_logo();